//基于5+ Runtime封装
var z = {
	anishow: null,
	OS: null,
	duraTime: 200,
	//所有封装的api都需要在ready中运行
	ready: function(callback) {
		document.addEventListener('plusready', callback);
	},
	init: function() {
		if(window.navigator.appVersion.match(/iphone/gi)) {
			this.anishow = "pop-in";
			this.OS = 'iphone';
		} else if(window.navigator.appVersion.match(/android/gi)) {
			this.anishow = "slide-in-right";
			this.OS = 'android';
		}
	},
	/**
	 * @param {string} src 要打开的页面地址和id(必须)
	 * @param {Function} callback 页面显示后的回调函数可为空
	 * @param {object} options 包含后面所有的非必需参数，可传空
	 * @param {string} kv 页面传参对象键值对
	 * @param {string} title 页面标题
	 * @param {string} titleColor 页面标题颜色
	 * @param {string} titleSize 页面标题字体大小（px）
	 * @param {string} webviewType 是否透明渐变'transparent''default'
	 * @param {Boolean} backHome 回到入口页并且关闭非入口页
	 * @param {string} bgcolor 导航栏的背景颜色
	 * @param {string} statusBar 沉浸式下状态栏的颜色
	 * @param {string} autoBack 返回按钮
	 */
	//有导航栏的webview
	openWindow: function(src, options, kv) {
		var bgcolor, statusBar, backHome, webviewType, titleSize, titleColor, title, kv, func;
		func = options.callback || function() {};
		bgcolor = options.bgcolor || "#ffffff";
		statusBar = options.statusBar || "#ffffff";
		backHome = options.backHome || false;
		webviewType = options.webviewType || 'default';
		title = options.title || '';
		titleColor = options.titleColor || '#000000';
		titleSize = options.titleSize || '17px';
		autoBack = options.autoBack || true;
		kv = kv || {};
		softinputMode = options.softinputMode || 'adjustPan'
		if(plus.webview.getWebviewById(src) == null) {
			plus.webview.create(
				src,
				src, {
					backButtonAutoControl: "close",
					popGesture: "close",
					statusbar: {
						background: statusBar
					},
					softinputMode: softinputMode,
					titleNView: {
						homeButton: backHome,
						autoBackButton: autoBack,
						titleText: title,
						titleColor: titleColor,
						titleSize: titleSize,
						backgroundColor: bgcolor,
						splitLine: {
							color: '#cccccc',
							height: "1px"
						},
						type: webviewType
					}
				},
				kv
			)

		}
		plus.webview.getWebviewById(src).show(this.anishow, this.duraTime, func, {});
	},
	//没有导航栏的webview
	openNoTitle: function(src, options, kv) {
		var func, statusBar, kv;
		func = options.callback || function() {};
		statusBar = options.statusBar || "#ffffff";
		kv = kv || {};
		softinputMode = options.softinputMode || 'adjustPan'
		if(plus.webview.getWebviewById(src) == null) {
			plus.webview.create(
				src,
				src, {
					backButtonAutoControl: "close",
					popGesture: "close",
					statusbar: {
						background: statusBar
					},
					softinputMode: softinputMode
				},
				kv
			)

		}
		plus.webview.getWebviewById(src).show(this.anishow, this.duraTime, func, {});
	},
	//页面传参获取
	extras: function() {
		return plus.webview.currentWebview()
	},
	//处理页面存在引起的切换无动画(关闭页面，可多个)
	hideView: function(z_v) {
		for(var i = 0, len = z_v.length; i < len; i++) {
			if(plus.webview.getWebviewById(z_v[i]) != null) {
				plus.webview.close(z_v[i], 'none', 0);
			}
		}
	},
	//窗口显示回调
	ShowBack: function(zz) {
		plus.webview.currentWebview().addEventListener('show', zz, false);
	},
	//窗口关闭回调
	CloseBack: function(zz) {
		plus.webview.currentWebview().addEventListener('close', zz, false);
	},
	//窗口隐藏回调
	HideBack: function(zz) {
		plus.webview.currentWebview().addEventListener('hide', zz, false);
	},
	//关闭除入口页以外所有的页面
	backIndex: function() {
		var w = plus.webview.currentWebview()
		var all = plus.webview.all();
		for(var i = 1, len = all.length; i < len; i++) {
			if(all[i] != w) {
				plus.webview.close(all[i], 'none', 0)
			}
		}
		plus.webview.close(w, 'none', 0)
	},
	//隐藏滚动条
	hideScroll: function() {
		plus.webview.currentWebview().setStyle({
			scrollIndicator: 'none'
		})
	},
	//双击退出应用事件
	backCloseApp: function() {
		var first = null;
		plus.key.addEventListener('backbutton', function() {
			//首次按键，提示‘再按一次退出应用’
			if(!first) {
				first = new Date().getTime();
				console.log('再按一次退出应用')
				setTimeout(function() {
					first = null;
				}, 1000);
			} else {
				if(new Date().getTime() - first < 1000) {
					plus.runtime.quit();
				}
			}
		})
	},
	timeToStr: function(ts) {
		if(isNaN(ts)) {
			return "--:--:--";
		}
		var h = parseInt(ts / 3600);
		var m = parseInt((ts % 3600) / 60);
		var s = parseInt(ts % 60);
		return(ultZeroize(h) + ":" + ultZeroize(m) + ":" + ultZeroize(s));
	},
	dateToStr: function(d) {
		return(d.getFullYear() + "-" + ultZeroize(d.getMonth() + 1) + "-" + ultZeroize(d.getDate()) + " " + ultZeroize(d.getHours()) + ":" + ultZeroize(d.getMinutes()) + ":" + ultZeroize(d.getSeconds()));
	},
	//只有“dark”和“light”两个选项。
	setStatusBar: function(z) {
		plus.navigator.setStatusBarStyle(z);
	},
	//头像裁剪
	avatarCropping: function() {
		var self=this;
		plus.gallery.pick(function(e) {
			var ss=e;
			var dstname = "_downloads/" + Math.floor(Math.random() * 100000000 + 10000000).toString() + ".jpg"; //设置压缩后图片的路径
			plus.zip.compressImage({
					src: e,
					dst: dstname,
					overwrite: true,
					quality: 20
				},
				function(event) {
					return event.target;
				},
				function(error) {
					console.log(error);
					return src;
				});
			self.openWindow('sub.html',{title:"裁剪"},{path: ss})
		}, function(e) {
			console.log("取消选择图片");
		}, {
			filter: "image",
			multiple: false
		});
	},
	confirm:function(title,yesBack,noBack){
		var r=confirm(title)
		if (r==true){
		    yesBack()
		}else{
		    noBack()
		}
	},
	//扫一扫
	barcode:function(){
		
	},
	//跨页面执行js
	//func必须是自调函数，或者事件体
	crossPage:function(id,func){
		var wn = plus.webview.getWebviewById( id ); //传递消息返回的webview
		wn && wn.evalJS(func);
	}
};
z.init()
mui.init()